I5OperatingSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.i5OS.I5OperatingSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.i5OS
Interface I5OperatingSystem

All Superinterfaces:
  CIMSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, OperatingSystem, java.io.Serializable, Version

    public interface I5OperatingSystem

extends OperatingSystem

Represents an instance of i5 Operating System.

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`I5OSSoftwareComponent[]` | `getI5Components()`
`I5Profile[]` | `getProfiles()`
`int` | `getSysValQABNORMSW()` Category: Restart Previous system ending status.
`int` | `getSysValQACTJOB()` Category: Jobs Allocate storage at restart for active jobs Specifies the initial number of active jobs for which auxiliary storage is allocated when you restart the system.
`int` | `getSysValQADLACTJ()` Category: Jobs Allocate additional storage as needed for active jobs Specifies the additional number of active jobs for which auxiliary storage is to be allocated when the initial number of active jobs at restart is reached.
`java.lang.String` | `getSysValQAUDCTL()` Category: Auditing Activate action auditing.
`int` | `getSysValQBASACTLVL()` Category: Performance Base memory pool maximum eligible threads You may specify the maximum number of eligible threads for the base memory pool.
`int` | `getSysValQBASPOOL()` Category: Performance Base memory pool minimum size Specifies the minimum size of the base memory pool in megabytes (MB).
`int` | `getSysValQCCSID()` Category: International Coded character set ID Coded character set identifiers (CCSIDs) identify: - A specific set of encoding scheme identifiers - Character set identifiers - Code page identifiers - Additional coding-related information that uniquely identifies the coded graphic character representation to be used by the system.
`java.lang.String` | `getSysValQCONSOLE()` Category: System and user defaults Console name This value specifies the name of the display device that is the console.
`int` | `getSysValQDEVRCYACN()` Category: Devices Action to take when a device error occurs on the workstation.
`boolean` | `getSysValQDYNPTYADJ()` Category: Performance Dynamically adjust job priorities of interactive jobs You may specify whether the priority of interactive jobs is dynamically adjusted to maintain high performance of batch job processing on your servers (true) or not (false).
`boolean` | `getSysValQDYNPTYSCD()` Category: Performance Dynamically adjust job priorities within priority bands This system value allows to turn on (true) and turn off (false) the dynamic priority scheduler.
`int` | `getSysValQIPLSTS()` Category: Restart Previous restart type.
`int` | `getSysValQIPLTYPE()` Category: Restart Type of restart System value to specify how to handle the next restart.
`java.lang.String` | `getSysValQLANGID()` Category: International Language Specifies the language identifier to be used as the default for the system
`java.lang.String` | `getSysValQLOCALE()` Category: International Locale Sets the default locale path for a job.
`int` | `getSysValQMAXACTLVL()` Category: Performance Maximum eligible threads You may specify the number of threads that can compete at the same time for memory and processor resources.
`int` | `getSysValQMAXJOB()` Category: Jobs Maximum jobs Specifies the maximum number of jobs that are allowed on the system.
`int` | `getSysValQMCHPOOL()` Category: Performance Machine memory pool size.
`java.lang.String` | `getSysValQModel()` Category: System and user defaults Model number 4 character value that specifies the model number.
`int` | `getSysValQPWDEXPITV()` Category: Password Password expiration Specifies whether user passwords expire or not.
`int` | `getSysValQPWDLVL()` Category: Password Password level The password level of the system can be set to allow for user profile passwords from 1 through 10 characters or to allow for user profile passwords from 1 through 128 characters.
`java.lang.String` | `getSysValQPWDVLDPGM()` Category: Password Password validation program This system value provides the ability for a user-written program to do additional validation on passwords.
`boolean` | `getSysValQPWRRSTIPL()` Category: Restart Allow auto-restart after power failure System value used to specify whether to automatically restart the iSeries server when a power failure occurs or not
`boolean` | `getSysValQRMTIPL()` Category: Restart Allow remote power-on and restart Specifies if remote power-on and restart can (1) or cannot (0) be started over a telephone line.
`int` | `getSysValQRMTSIGN()` Category: Restart Remote signon Specifies remote signon options.
`int` | `getSysValQSECURITY()` Category: Security Specifies the level of security for your system.
`java.lang.String` | `getSysValQSPCENV()` Category: System and user defaults Default user environment Specifies the system environment used as the default for all users Possible values are: NONE - iSeries environment is used.
`java.lang.String` | `getSysValQSRLNBR()` Category: System and user defaults Serial number The 8 character serial number is used as a means of identification.
`java.lang.String` | `getSysValQSTRUPPGM()` Category: Restart Start-up program to set up system Specifies the name of the program called from an autostart job when the controlling subsystem is started.
`boolean` | `hasI5Components()`
`boolean` | `hasProfiles()`
`boolean` | `hasSysValQABNORMSW()`
`boolean` | `hasSysValQACTJOB()`
`boolean` | `hasSysValQADLACTJ()`
`boolean` | `hasSysValQAUDCTL()`
`boolean` | `hasSysValQBASACTLVL()`
`boolean` | `hasSysValQBASPOOL()`
`boolean` | `hasSysValQCCSID()`
`boolean` | `hasSysValQCONSOLE()`
`boolean` | `hasSysValQDEVRCYACN()`
`boolean` | `hasSysValQDYNPTYADJ()`
`boolean` | `hasSysValQDYNPTYSCD()`
`boolean` | `hasSysValQIPLSTS()`
`boolean` | `hasSysValQIPLTYPE()`
`boolean` | `hasSysValQLANGID()`
`boolean` | `hasSysValQLOCALE()`
`boolean` | `hasSysValQMAXACTLVL()`
`boolean` | `hasSysValQMAXJOB()`
`boolean` | `hasSysValQMCHPOOL()`
`boolean` | `hasSysValQModel()`
`boolean` | `hasSysValQPWDEXPITV()`
`boolean` | `hasSysValQPWDLVL()`
`boolean` | `hasSysValQPWDVLDPGM()`
`boolean` | `hasSysValQPWRRSTIPL()`
`boolean` | `hasSysValQRMTIPL()`
`boolean` | `hasSysValQRMTSIGN()`
`boolean` | `hasSysValQSECURITY()`
`boolean` | `hasSysValQSPCENV()`
`boolean` | `hasSysValQSRLNBR()`
`boolean` | `hasSysValQSTRUPPGM()`
`void` | `setI5Components(I5OSSoftwareComponent[] x)`
`void` | `setProfiles(I5Profile[] x)`
`void` | `setSysValQABNORMSW(int x)`
`void` | `setSysValQACTJOB(int x)`
`void` | `setSysValQADLACTJ(int x)`
`void` | `setSysValQAUDCTL(java.lang.String x)`
`void` | `setSysValQBASACTLVL(int x)`
`void` | `setSysValQBASPOOL(int x)`
`void` | `setSysValQCCSID(int x)`
`void` | `setSysValQCONSOLE(java.lang.String x)`
`void` | `setSysValQDEVRCYACN(int x)`
`void` | `setSysValQDYNPTYADJ(boolean x)`
`void` | `setSysValQDYNPTYSCD(boolean x)`
`void` | `setSysValQIPLSTS(int x)`
`void` | `setSysValQIPLTYPE(int x)`
`void` | `setSysValQLANGID(java.lang.String x)`
`void` | `setSysValQLOCALE(java.lang.String x)`
`void` | `setSysValQMAXACTLVL(int x)`
`void` | `setSysValQMAXJOB(int x)`
`void` | `setSysValQMCHPOOL(int x)`
`void` | `setSysValQModel(java.lang.String x)`
`void` | `setSysValQPWDEXPITV(int x)`
`void` | `setSysValQPWDLVL(int x)`
`void` | `setSysValQPWDVLDPGM(java.lang.String x)`
`void` | `setSysValQPWRRSTIPL(boolean x)`
`void` | `setSysValQRMTIPL(boolean x)`
`void` | `setSysValQRMTSIGN(int x)`
`void` | `setSysValQSECURITY(int x)`
`void` | `setSysValQSPCENV(java.lang.String x)`
`void` | `setSysValQSRLNBR(java.lang.String x)`
`void` | `setSysValQSTRUPPGM(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.sys.OperatingSystem
`getBootFileSystem, getBootTime, getCharset, getConfigContents, getCurrentTime, getDNSResolveEntries, getFQDN, getInstalledSoftware, getKernelArchitecture, getKernelModulesRawData, getKernelVersion, getLocale, getName, getOSConfidence, getOsId, getOSMode, getOSName, getOSVersion, getPackagesInstalledRawData, getParent, getPatchesInstalledRawData, getSoftwareComponents, getSystemGuid, getVirtualMemorySize, getZReportFiles, hasBootFileSystem, hasBootTime, hasCharset, hasConfigContents, hasCurrentTime, hasDNSResolveEntries, hasFQDN, hasInstalledSoftware, hasKernelArchitecture, hasKernelModulesRawData, hasKernelVersion, hasLocale, hasName, hasOSConfidence, hasOsId, hasOSMode, hasOSName, hasOSVersion, hasPackagesInstalledRawData, hasParent, hasPatchesInstalledRawData, hasSoftwareComponents, hasSystemGuid, hasVirtualMemorySize, hasZReportFiles, setBootFileSystem, setBootTime, setCharset, setConfigContents, setCurrentTime, setDNSResolveEntries, setFQDN, setInstalledSoftware, setKernelArchitecture, setKernelModulesRawData, setKernelVersion, setLocale, setName, setOSConfidence, setOsId, setOSMode, setOSName, setOSVersion, setPackagesInstalledRawData, setParent, setPatchesInstalledRawData, setSoftwareComponents, setSystemGuid, setVirtualMemorySize, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSysValQSECURITY

    int getSysValQSECURITY()
                           throws AttributeNotSetException

  Category: Security Specifies the level of security for your system. The following are possible options: 10 - The system does not require a password to signon. 20 - The system requires a password to signon. 30 - The system requires a password to signon, and users must have authority to access objects and system resources. 40 - The system requires a password to signon, and users must have authority to access objects and system resources. 50 - The system requires a password to signon, and users must have authority to access objects and system resources. Security and integrity of the QTEMP library and user domain (*USRxxx) objects are enforced.

  Throws:
    `AttributeNotSetException`

### setSysValQSECURITY

    void setSysValQSECURITY(int x)

### hasSysValQSECURITY

    boolean hasSysValQSECURITY()

### getSysValQAUDCTL

    java.lang.String getSysValQAUDCTL()
                                      throws AttributeNotSetException

  Category: Auditing Activate action auditing. Possible values: No auditing. OBJAUD- Objects are audited. AUDLVL - Actions are audited. NOQTEMP - QTEMP objects are not audited. NOTAVL - The user is not allowed to view the auditing system value.

  Throws:
    `AttributeNotSetException`

### setSysValQAUDCTL

    void setSysValQAUDCTL(java.lang.String x)

### hasSysValQAUDCTL

    boolean hasSysValQAUDCTL()

### getSysValQSPCENV

    java.lang.String getSysValQSPCENV()
                                      throws AttributeNotSetException

  Category: System and user defaults Default user environment Specifies the system environment used as the default for all users Possible values are: NONE - iSeries environment is used. S36 - System/36 environment is used.

  Throws:
    `AttributeNotSetException`

### setSysValQSPCENV

    void setSysValQSPCENV(java.lang.String x)

### hasSysValQSPCENV

    boolean hasSysValQSPCENV()

### getI5Components

    I5OSSoftwareComponent[] getI5Components()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="true"

### setI5Components

    void setI5Components(I5OSSoftwareComponent[] x)

### hasI5Components

    boolean hasI5Components()

### getSysValQRMTIPL

    boolean getSysValQRMTIPL()
                             throws AttributeNotSetException

  Category: Restart Allow remote power-on and restart Specifies if remote power-on and restart can (1) or cannot (0) be started over a telephone line. This means that any telephone call causes the system to restart.

  Throws:
    `AttributeNotSetException`

### setSysValQRMTIPL

    void setSysValQRMTIPL(boolean x)

### hasSysValQRMTIPL

    boolean hasSysValQRMTIPL()

### getSysValQMAXJOB

    int getSysValQMAXJOB()
                         throws AttributeNotSetException

  Category: Jobs Maximum jobs Specifies the maximum number of jobs that are allowed on the system. When the number of jobs reaches this maximum, you can no longer submit or start more jobs on the system. Use this system value to limit the storage used for job tables. Possible values are 32000 through 485000.

  Throws:
    `AttributeNotSetException`

### setSysValQMAXJOB

    void setSysValQMAXJOB(int x)

### hasSysValQMAXJOB

    boolean hasSysValQMAXJOB()

### getSysValQCCSID

    int getSysValQCCSID()
                        throws AttributeNotSetException

  Category: International Coded character set ID Coded character set identifiers (CCSIDs) identify: - A specific set of encoding scheme identifiers - Character set identifiers - Code page identifiers - Additional coding-related information that uniquely identifies the coded graphic character representation to be used by the system. Possible values range from 1 through 65535. 00001-28691: IBM-registered CCSIDs 28672-65533: Reserved 65535 or *HEX(-1): No conversion done

  Throws:
    `AttributeNotSetException`

### setSysValQCCSID

    void setSysValQCCSID(int x)

### hasSysValQCCSID

    boolean hasSysValQCCSID()

### getProfiles

    I5Profile[] getProfiles()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setProfiles

    void setProfiles(I5Profile[] x)

### hasProfiles

    boolean hasProfiles()

### getSysValQPWDLVL

    int getSysValQPWDLVL()
                         throws AttributeNotSetException

  Category: Password Password level The password level of the system can be set to allow for user profile passwords from 1 through 10 characters or to allow for user profile passwords from 1 through 128 characters. Possible values are: 0 - Passwords with 1-10 characters are supported. 1 - Passwords with 1-10 characters are supported and NetServer passwords are removed. 2 - Passwords with 1-128 characters are supported. 3 - Passwords with 1-128 characters are supported and NetServer passwords are removed.

  Throws:
    `AttributeNotSetException`

### setSysValQPWDLVL

    void setSysValQPWDLVL(int x)

### hasSysValQPWDLVL

    boolean hasSysValQPWDLVL()

### getSysValQLANGID

    java.lang.String getSysValQLANGID()
                                      throws AttributeNotSetException

  Category: International Language Specifies the language identifier to be used as the default for the system

  Throws:
    `AttributeNotSetException`

### setSysValQLANGID

    void setSysValQLANGID(java.lang.String x)

### hasSysValQLANGID

    boolean hasSysValQLANGID()

### getSysValQPWDVLDPGM

    java.lang.String getSysValQPWDVLDPGM()
                                         throws AttributeNotSetException

  Category: Password Password validation program This system value provides the ability for a user-written program to do additional validation on passwords. The current and new passwords are passed to the validation program without encryption. The validation program could store passwords in a database file and compromise security on the system. The recommended setting for this system value is *NONE. NONE - No validation program is used. REGFAC - The validation program name is retrieved from the registration facility. program-specification - The name of the validation program. This option is only valid if the system is operating at QPWDLVL 0 or 1.

  Throws:
    `AttributeNotSetException`

### setSysValQPWDVLDPGM

    void setSysValQPWDVLDPGM(java.lang.String x)

### hasSysValQPWDVLDPGM

    boolean hasSysValQPWDVLDPGM()

### getSysValQSTRUPPGM

    java.lang.String getSysValQSTRUPPGM()
                                        throws AttributeNotSetException

  Category: Restart Start-up program to set up system Specifies the name of the program called from an autostart job when the controlling subsystem is started. This program performs setup functions, such as starting subsystems and printers. If you name of a program is not specified, the autostart job ends normally without calling a program

  Throws:
    `AttributeNotSetException`

### setSysValQSTRUPPGM

    void setSysValQSTRUPPGM(java.lang.String x)

### hasSysValQSTRUPPGM

    boolean hasSysValQSTRUPPGM()

### getSysValQCONSOLE

    java.lang.String getSysValQCONSOLE()
                                       throws AttributeNotSetException

  Category: System and user defaults Console name This value specifies the name of the display device that is the console. The system changes this value when the console is varied on

  Throws:
    `AttributeNotSetException`

### setSysValQCONSOLE

    void setSysValQCONSOLE(java.lang.String x)

### hasSysValQCONSOLE

    boolean hasSysValQCONSOLE()

### getSysValQDYNPTYADJ

    boolean getSysValQDYNPTYADJ()
                                throws AttributeNotSetException

  Category: Performance Dynamically adjust job priorities of interactive jobs You may specify whether the priority of interactive jobs is dynamically adjusted to maintain high performance of batch job processing on your servers (true) or not (false). This adjustment capability is effective only on systems that have different interactive and non-interactive throughput capabilities and have turned on the system value to dynamically adjust priorities within priority bands

  Throws:
    `AttributeNotSetException`

### setSysValQDYNPTYADJ

    void setSysValQDYNPTYADJ(boolean x)

### hasSysValQDYNPTYADJ

    boolean hasSysValQDYNPTYADJ()

### getSysValQPWRRSTIPL

    boolean getSysValQPWRRSTIPL()
                                throws AttributeNotSetException

  Category: Restart Allow auto-restart after power failure System value used to specify whether to automatically restart the iSeries server when a power failure occurs or not

  Throws:
    `AttributeNotSetException`

### setSysValQPWRRSTIPL

    void setSysValQPWRRSTIPL(boolean x)

### hasSysValQPWRRSTIPL

    boolean hasSysValQPWRRSTIPL()

### getSysValQLOCALE

    java.lang.String getSysValQLOCALE()
                                      throws AttributeNotSetException

  Category: International Locale Sets the default locale path for a job. The locale path name must be a path that specifies a locale object. A locale is an object that can determine how data is processed, printed, and displayed. Locales are made up of categories that define language, cultural data, and character sets. These combinations of language, cultural data, and character sets comprise a locale. Possible values are: NONE - No locale object is specified. C - A predefined locale object is to be used. POSIX - A predefined locale object is to be used. Path name - Specified locale path name

  Throws:
    `AttributeNotSetException`

### setSysValQLOCALE

    void setSysValQLOCALE(java.lang.String x)

### hasSysValQLOCALE

    boolean hasSysValQLOCALE()

### getSysValQPWDEXPITV

    int getSysValQPWDEXPITV()
                            throws AttributeNotSetException

  Category: Password Password expiration Specifies whether user passwords expire or not. Controls the number of days allowed before a password must be changed. If a user attempts to sign on after the password has expired, the system gives the user an opportunity to change the password and then the user is allowed to sign on. Possible values are: NOMAX (-1) - A password can be used an unlimited number of days. 1-366 - The number of days before a password cannot be used.

  Throws:
    `AttributeNotSetException`

### setSysValQPWDEXPITV

    void setSysValQPWDEXPITV(int x)

### hasSysValQPWDEXPITV

    boolean hasSysValQPWDEXPITV()

### getSysValQIPLSTS

    int getSysValQIPLSTS()
                         throws AttributeNotSetException

  Category: Restart Previous restart type. You may view which of the following types of restarts occurred at the time of the last previous restart: - Operator panel restart (0) The restart occurred when requested from the operator panel or from Dedicated Service Tools (DST) for a secondary partition. - Automatic restart after power restored (1) The restart occurred automatically when power was restored after a power failure. You can specify this type of restart in the Restart options on the General page. - Restart (2) The restart occurred when a user requested to power-down the system and restart it. - Time-of-day restart (3) The restart occurred automatically on the date and time specified for Scheduled restart on the General page. - Remote restart (4) A remote restart occurred. You can specify this type of restart in the Restart options on the General page.

  Throws:
    `AttributeNotSetException`

### setSysValQIPLSTS

    void setSysValQIPLSTS(int x)

### hasSysValQIPLSTS

    boolean hasSysValQIPLSTS()

### getSysValQDEVRCYACN

    int getSysValQDEVRCYACN()
                            throws AttributeNotSetException

  Category: Devices Action to take when a device error occurs on the workstation. Specifies the action to take when an input/output (I/O) error occurs for an interactive job's workstation Possible values are: MSG - Signals the I/O error message to the user's application program. DSCENDRQS - Disconnects the job. When signing on again, a cancel request function is performed to return control of the job back to the last request level. DSCMSG - Disconnects the job. When signing on again, an error message is sent to the user's application. ENDJOB - Ends the job. A job log is produced for the job. ENDJOBNOLIST - Ends the job. A job log is not produced for the job.

  Throws:
    `AttributeNotSetException`

### setSysValQDEVRCYACN

    void setSysValQDEVRCYACN(int x)

### hasSysValQDEVRCYACN

    boolean hasSysValQDEVRCYACN()

### getSysValQRMTSIGN

    int getSysValQRMTSIGN()
                          throws AttributeNotSetException

  Category: Restart Remote signon Specifies remote signon options. Possible options are: - FRCSIGNON - All remote signon sessions are required to go through normal signon processing. - SAMEPRF - When the source and target user profile names are the same, the signon may be bypassed for remote signon attempts. - VERIFY - After verifying that the user has access to the system, the system allows the user to bypass the signon. - REJECT - No remote signon is allowed.

  Throws:
    `AttributeNotSetException`

### setSysValQRMTSIGN

    void setSysValQRMTSIGN(int x)

### hasSysValQRMTSIGN

    boolean hasSysValQRMTSIGN()

### getSysValQBASACTLVL

    int getSysValQBASACTLVL()
                            throws AttributeNotSetException

  Category: Performance Base memory pool maximum eligible threads You may specify the maximum number of eligible threads for the base memory pool. A memory pool is a logical division of memory (storage) that is reserved for processing a job or group of jobs. The maximum number of eligible threads specifies the maximum number of system and user threads that can compete at the same time for storage in the base storage pool.

  Throws:
    `AttributeNotSetException`

### setSysValQBASACTLVL

    void setSysValQBASACTLVL(int x)

### hasSysValQBASACTLVL

    boolean hasSysValQBASACTLVL()

### getSysValQBASPOOL

    int getSysValQBASPOOL()
                          throws AttributeNotSetException

  Category: Performance Base memory pool minimum size Specifies the minimum size of the base memory pool in megabytes (MB). A memory pool is a logical division of memory (storage) that is reserved for processing a job or group of jobs. The base memory pool contains all memory not allocated by other pools.

  Throws:
    `AttributeNotSetException`

### setSysValQBASPOOL

    void setSysValQBASPOOL(int x)

### hasSysValQBASPOOL

    boolean hasSysValQBASPOOL()

### getSysValQABNORMSW

    int getSysValQABNORMSW()
                           throws AttributeNotSetException

  Category: Restart Previous system ending status. You can view whether the previous end of the system was normal (0) or abnormal (1)

  Throws:
    `AttributeNotSetException`

### setSysValQABNORMSW

    void setSysValQABNORMSW(int x)

### hasSysValQABNORMSW

    boolean hasSysValQABNORMSW()

### getSysValQDYNPTYSCD

    boolean getSysValQDYNPTYSCD()
                                throws AttributeNotSetException

  Category: Performance Dynamically adjust job priorities within priority bands This system value allows to turn on (true) and turn off (false) the dynamic priority scheduler. The task scheduler uses this system value to determine the scheduling of jobs for the processor. When enabled, the dynamic priority scheduler will adjust job priorities within priority bands, depending on each job's use of system resources

  Throws:
    `AttributeNotSetException`

### setSysValQDYNPTYSCD

    void setSysValQDYNPTYSCD(boolean x)

### hasSysValQDYNPTYSCD

    boolean hasSysValQDYNPTYSCD()

### getSysValQIPLTYPE

    int getSysValQIPLTYPE()
                          throws AttributeNotSetException

  Category: Restart Type of restart System value to specify how to handle the next restart. The following are possible options: - Unattended (0) No displays requiring user interaction are shown during the restart. The normal signon display is shown when the restart is complete. If the system is in manual mode, Unattended changes to Attended with dedicated service tools. - Attended (1) All dedicated service tools functions are available along with the full set of restart displays. - Attended, console in debug mode (2) Restarts the system and leaves the controller QCTL and device QCONSOLE varied on. Select this only for problem analysis, as it prevents other devices on the workstation controller from being used.

  Throws:
    `AttributeNotSetException`

### setSysValQIPLTYPE

    void setSysValQIPLTYPE(int x)

### hasSysValQIPLTYPE

    boolean hasSysValQIPLTYPE()

### getSysValQACTJOB

    int getSysValQACTJOB()
                         throws AttributeNotSetException

  Category: Jobs Allocate storage at restart for active jobs Specifies the initial number of active jobs for which auxiliary storage is allocated when you restart the system. An active job is a job that has started running but not ended. This storage is in addition to the storage allocated using the total jobs system value. Possible values are 1 through 32767.

  Throws:
    `AttributeNotSetException`

### setSysValQACTJOB

    void setSysValQACTJOB(int x)

### hasSysValQACTJOB

    boolean hasSysValQACTJOB()

### getSysValQADLACTJ

    int getSysValQADLACTJ()
                          throws AttributeNotSetException

  Category: Jobs Allocate additional storage as needed for active jobs Specifies the additional number of active jobs for which auxiliary storage is to be allocated when the initial number of active jobs at restart is reached. An active job is a job that has started running but has not ended.

  Throws:
    `AttributeNotSetException`

### setSysValQADLACTJ

    void setSysValQADLACTJ(int x)

### hasSysValQADLACTJ

    boolean hasSysValQADLACTJ()

### getSysValQModel

    java.lang.String getSysValQModel()
                                     throws AttributeNotSetException

  Category: System and user defaults Model number 4 character value that specifies the model number. This value is the same for each partition on a system and identifies the type of server that i5/OS is installed on. The model number uses the following format, where xx represents the specific model number: 5 xx: Specifies eServer i5 servers. 7 xx: Specifies AS/400 servers. 8 xx: Specifies iSeries servers.

  Throws:
    `AttributeNotSetException`

### setSysValQModel

    void setSysValQModel(java.lang.String x)

### hasSysValQModel

    boolean hasSysValQModel()

### getSysValQSRLNBR

    java.lang.String getSysValQSRLNBR()
                                      throws AttributeNotSetException

  Category: System and user defaults Serial number The 8 character serial number is used as a means of identification. This number will depend on what version, release and model of the i5/OS system you installed. The system serial number is the same for each partition on a system.

  Throws:
    `AttributeNotSetException`

### setSysValQSRLNBR

    void setSysValQSRLNBR(java.lang.String x)

### hasSysValQSRLNBR

    boolean hasSysValQSRLNBR()

### getSysValQMCHPOOL

    int getSysValQMCHPOOL()
                          throws AttributeNotSetException

  Category: Performance Machine memory pool size. Specifies the size of the machine memory pool in megabytes (MB). A memory pool is a logical division of memory (storage) that is reserved for processing a job or group of jobs. The machine memory pool contains highly shared machine and operating system programs.

  Throws:
    `AttributeNotSetException`

### setSysValQMCHPOOL

    void setSysValQMCHPOOL(int x)

### hasSysValQMCHPOOL

    boolean hasSysValQMCHPOOL()

### getSysValQMAXACTLVL

    int getSysValQMAXACTLVL()
                            throws AttributeNotSetException

  Category: Performance Maximum eligible threads You may specify the number of threads that can compete at the same time for memory and processor resources. For all active subsystems, the sum of all threads running in all memory pools cannot exceed the value you specify. If a thread cannot be processed because the activity level has been reached, the thread waits until another thread reaches a time slice or a long wait. Possible values are 1 through 32767 or no maximum NOMAX (represented in CDM as -1)

  Throws:
    `AttributeNotSetException`

### setSysValQMAXACTLVL

    void setSysValQMAXACTLVL(int x)

### hasSysValQMAXACTLVL

    boolean hasSysValQMAXACTLVL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD